Bug 190298 - kernel oplock problem
kernel oplock problem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting OldRelease
:
: 190299 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-30 14:16 EDT by Mark Orenstein
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 01:05:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Orenstein 2006-04-30 14:16:08 EDT
Description of problem:

According to Jeremy of the samba team, it is most likely that kernel oplocks 
is broken in the Fedora kernel.  Below is the samba list correspondence.

> On Fri, Apr 28, 2006 at 10:12:05AM -0400, mrosamba@eastgranby.k12.ct.us
> wrote:
>> > On Mon, Apr 24, 2006 at 05:14:14PM -0400,
>> mrosamba@eastgranby.k12.ct.us
>> > wrote:
>> >> I recently upgraded from samba 3.0.10-1.fc3 to 3.0.21b-2 running on
>> FC5.
>> >> Today was the first day of a typing class which uses the network
>> version
>> >> of Mavis Beacon Typing which depends on file sharing.
>> >>
>> >> The users are hanging and then getting an error message during
>> logging
>> >> into the product.  In /var/log/message, I can see the following
>> message
>> >> for each user similar to:
>> >>
>> >>
>> >> [2006/04/24 09:45:24.177906, 0]
>> >> smbd/oplock.c:oplock_timeout_handler(375)
>> >>   Oplock break failed for file mavis/Mavis15EEVNet/Mav15UserData/Ali
>> >> Johnson.rec -- replying anyway
>> >>
>> >> Each user has a different filename for the above message.
>> >>
>> >> Below is the smb.conf share.  Note the force user.
>> >
>> > I would suggest upgrading to 3.0.22 as there were some fixes
>> > in this area.
>> >
>> > Jeremy.
>> >
>> Hi Jeremy,
>>
>> Last night I updated to Version 3.0.22-1.fc5.  Kernel is
>> 2.6.15-1.2054_FC5.
>> I reenabled oplocks on the mavis share and when the class tried to
>> execute
>> the Mavis typing program, it again locked up.
>>
>> Based on Leonid Zeitlin's note in a similar thread, I then disabled
>> kernel
>> oplocks and had the class try again.  They were all able to get in with
>> no
>> oplock errors on the log.
>>
>> The only software accessing these files is samba so I question whether
>> it
>> is a kernel problem.  Also, with kernel oplocks = no, the oplocks on
>> logon.bat have disappeared.
>
> No, it is a kernel problem - Samba is about the only application
> that *uses* the kernel lease mechanism so it's not suprising that
> only we notice. I'm guessing FC5 has a bug here.
>
> Jeremy.
>



Version-Release number of selected component (if applicable):

see above

How reproducible:

Requires several users of samba logging into a network share.  Another user 
has reported a similar problem to the samba mailing list.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2006-05-06 20:24:09 EDT
*** Bug 190299 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2006-05-06 20:25:41 EDT
if this is the case, the samba developers (who know a lot more about what's
going on with this issue than I do) should bring this up upstream, as the Fedora
kernel has no changes in this area to the best of my knowledge, and this is far
more likely to get this resolved quicker.
Comment 3 Dave Jones 2006-10-16 15:33:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Sujay D'Souza 2008-01-04 12:35:49 EST
The same issue occurs with FC6 Samba version 3.0.24-11.fc6. Kernel Oplock
support is broken.
Comment 5 Jon Stanley 2008-01-19 23:29:50 EST
FC6 is no longer maintained.  Could you reproduce this with F8, please?
Comment 6 Jon Stanley 2008-03-09 01:05:03 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.